# Generated by Django 4.2.2 on 2023-06-17 18:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("artd_product", "0002_alter_product_special_price_and_more"),
        ("artd_partner", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="PriceListLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Created at",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, help_text="Updated at", verbose_name="Updated at"
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True, help_text="Status", verbose_name="Status"
                    ),
                ),
                (
                    "regular_price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Price",
                        max_digits=10,
                        verbose_name="Price",
                    ),
                ),
                (
                    "special_price_from",
                    models.DateTimeField(
                        blank=True,
                        help_text="Special price from",
                        null=True,
                        verbose_name="Special price from",
                    ),
                ),
                (
                    "special_price_to",
                    models.DateTimeField(
                        blank=True,
                        help_text="Special price to",
                        null=True,
                        verbose_name="Special price to",
                    ),
                ),
                (
                    "special_price",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        help_text="Special price",
                        max_digits=10,
                        null=True,
                        verbose_name="Special price",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                    ),
                ),
                (
                    "product",
                    models.ForeignKey(
                        help_text="Product",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.product",
                    ),
                ),
            ],
            options={
                "verbose_name": "Price list log",
                "verbose_name_plural": "Price list logs",
                "ordering": ("-created_at",),
            },
        ),
        migrations.CreateModel(
            name="PriceList",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Created at",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, help_text="Updated at", verbose_name="Updated at"
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True, help_text="Status", verbose_name="Status"
                    ),
                ),
                (
                    "regular_price",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="Price",
                        max_digits=10,
                        verbose_name="Price",
                    ),
                ),
                (
                    "special_price_from",
                    models.DateTimeField(
                        blank=True,
                        help_text="Special price from",
                        null=True,
                        verbose_name="Special price from",
                    ),
                ),
                (
                    "special_price_to",
                    models.DateTimeField(
                        blank=True,
                        help_text="Special price to",
                        null=True,
                        verbose_name="Special price to",
                    ),
                ),
                (
                    "special_price",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        help_text="Special price",
                        max_digits=10,
                        null=True,
                        verbose_name="Special price",
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                    ),
                ),
                (
                    "product",
                    models.ForeignKey(
                        help_text="Product",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.product",
                    ),
                ),
            ],
            options={
                "verbose_name": "Price list",
                "verbose_name_plural": "Price lists",
                "ordering": ("-created_at",),
                "unique_together": {("partner", "product")},
            },
        ),
    ]
